package cn.yw.video.videotask.dao;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;
import javax.annotation.PostConstruct;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.ibatis.support.SqlMapClientDaoSupport;
import org.springframework.stereotype.Repository;
import com.ibatis.sqlmap.client.SqlMapClient;

@Repository("ywvideotaskbysetlistDao")
public class YwvideotaskbysetlistDao  extends SqlMapClientDaoSupport{

	@Autowired 
    private SqlMapClient sqlMapClient;  
	
	@PostConstruct          
    public  void initSqlMapClient(){  
     super.setSqlMapClient(sqlMapClient);      
    }
	/**
	 * 增加记录
	 */
	public void insert_Ywvideotaskbysetlist(Map map) throws SQLException{
		this.getSqlMapClientTemplate().insert("insert_Ywvideotaskbysetlist",map);
	}
	
	/**
	 * 批处理增加记录
	 */
	public void batch_insert_Ywvideotaskbysetlist(List batch) throws SQLException{
		this.getSqlMapClientTemplate().insert("batch_insert_Ywvideotaskbysetlist",batch);
	}
	 
	/**
	 * 修改记录
	 */
	public Integer update_Ywvideotaskbysetlist(Map map) throws SQLException{
		return this.getSqlMapClientTemplate().update("update_Ywvideotaskbysetlist",map);
	}
	public Integer batch_update_Ywvideotaskbysetlist(Map map) throws SQLException{
		return this.getSqlMapClientTemplate().update("batch_update_Ywvideotaskbysetlist",map);
	}
	
	/**
	 * 删除记录
	 */
	public Integer delete_Ywvideotaskbysetlist(Map map) throws SQLException{
		return this.getSqlMapClientTemplate().delete("delete_Ywvideotaskbysetlist",map);
	}
	
	/**
	 * 批处理删除记录
	 */
	
	public Integer batch_delete_Ywvideotaskbysetlist(Map map) throws SQLException{
		return this.getSqlMapClientTemplate().delete("batch_delete_Ywvideotaskbysetlist",map);
	}
	
	/**
	 * 查询总数
	 */
	public Integer count_Ywvideotaskbysetlist(Map map) throws SQLException{
		return (Integer)this.getSqlMapClientTemplate().queryForObject("count_Ywvideotaskbysetlist",map);
	}
	public Integer count_Ywvideotaskbysetlist_task(Map map) throws SQLException{
		return (Integer)this.getSqlMapClientTemplate().queryForObject("count_Ywvideotaskbysetlist_task",map);
	}
	
	/**
	 * 查询列表记录
	 */
	
	public List<Map> query_Ywvideotaskbysetlist(Map map) throws SQLException{
		return this.getSqlMapClientTemplate().queryForList("query_Ywvideotaskbysetlist",map);
	}
	public List<Map> query_Ywvideotaskbysetlist_task(Map map) throws SQLException{
		return this.getSqlMapClientTemplate().queryForList("query_Ywvideotaskbysetlist_task",map);
	}
	
	/**
	 * 查询列表记录
	 */
	public Map get_Ywvideotaskbysetlist(Map map) throws SQLException{
		return (Map) this.getSqlMapClientTemplate().queryForObject("query_Ywvideotaskbysetlist",map);
	}
}
